﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!Page.IsPostBack)
            {
                this.numberTextBox.Text = "0";
            }
        }

        #endregion
        #region 증가 버튼 클릭시 처리하기 - increaseButton_Click(sender, e)

        /// <summary>
        /// 증가 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void increaseButton_Click(object sender, EventArgs e)
        {
            this.numberTextBox.Text = Convert.ToString(Convert.ToInt32(this.numberTextBox.Text) + 1);
        }

        #endregion
        #region 감소 버튼 클릭시 처리하기 - decreaseButton_Click(sender, e)

        /// <summary>
        /// 감소 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void decreaseButton_Click(object sender, EventArgs e)
        {
            this.numberTextBox.Text = Convert.ToString(int.Parse(this.numberTextBox.Text) - 1);
        }

        #endregion
    }
}